import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IChartGraphics;

public class ChartGeneration extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ChartGeneration chart = new ChartGeneration();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doChartGeneration(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doChartGeneration(this));
	}

	Component doChartGeneration(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ChartGeneration.cht"); // template

		chart.setChartGraphics(new chartGenerationGraphics());

		// Show chart in Viewer
		return chart;

	}

	class chartGenerationGraphics implements IChartGraphics {

		static final long serialVersionUID = 1;

		public void initializeGraphics(Graphics g, int w, int h) {
			g.setColor(Color.red);
			g.fillOval(50, 50, 400, 400);
		}

		public void finalizeGraphics(Graphics g, int w, int h) {
			g.setColor(Color.white);
			g.fillOval(125, 225, 50, 50);
			g.setColor(Color.orange);
			g.drawString("HELLO WORLD", 150, 250);
		}
	}
}
